最新消息:

ROS 深度相机 奥比中光

行业资金 admin 浏览 评论

  转自: http://blog.csdn.net/zhangrelay/article/details/53515859

  Orbbec Astra Pro传感器在ROS(indigo和kinetic)应用说明 rgb depth同时显示

  这款摄像头应用uvc输入黑色信息,需求libuvc和libuvc_ros如许才华在ROS正常应用黑色功用。

  请不才面网址,辨别下载对应包:

  1

  https://github.com/ktossell

  2

  https://orbbec3d.com/develop/

  也能够直接下载打包好的资本:

  http://download.csdn.net/detail/zhangrelay/9705366

  起首装置驱动,依据版本选择下载驱动中适宜的版本:

  

  依据以下文档说明停止装置:特别留心标出局部

  #############Note###################

  # For user with ARM based development board:

  # With CPU Structure older than Cortex A17, use OpenNI-Linux-Arm-2.3 Nofilter.tar for better performance

  ####################################

  # There are two zip files, one is for 32bit machine, the other one is for 64bit

  # We choose 64bit(x64) and make the example as follows:

  这里应为系统是Ubuntu 16.04 64bit PC选择对应64bit版本

  # To run visual samples(e.g., SimpleViewer), you will need freeglut3 header and libaries, please install:

  $ sudo apt-get install build-essential freeglut3 freeglut3-dev?

  #check udev version, Orbbec Driver need libudev.so.1, if can't find it, can make symbolic link from libudev.so.x.x,

  #which usually locate in /lib/x86_64-linux-gnu or /lib/i386-linux-gnu

  $ldconfig -p | grep libudev.so.1

  $cd /lib/x86_64-linux-gnu

  $sudo ln -s libudev.so.x.x.x libudev.so.1

  # copy tgz file to any place you want(e.g., Home)

  # unzip tgz file

  拷贝到对应文件夹并解压缩:

  $ tar zxvf OpenNI-Linux-x64-2.2-0118.tgz

  $ cd OpenNI-Linux-x64-2.2

  # run install.sh to generate OpenNIDevEnvironment, which contains OpenNI development environment?

  $ sudo https://blog.csdn.net/lybhit/article/details/install.sh

  ?

  # please replug in the device for usb-register

  # add environment variables

  $ source OpenNIDevEnvironment

  # build sample(e.g., SimpleViewer)

  $ cd Samples/SimpleViewer

  $ make?

  # run sample

  # connect sensor

  $ cd Bin/x64-Release

  $ https://blog.csdn.net/lybhit/article/details/SimpleViewer

  # now you should be able to see a GUI window showing the depth stream video

  # If the Debian Jessie Lite is used for testing, it may require the following installation for properly start the viewer.

无法在这个位置找到: ajaxfeedback.htm